## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.action
Class EditRoutineInFormAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.datatools.sqltools.common.ui.actions.CommonSQLObjectAction
                      org.eclipse.datatools.sqltools.routineeditor.ui.actions.RoutineAction
                          org.eclipse.datatools.sqltools.routineeditor.ui.actions.EditRoutineAction
                              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.action.EditRoutineInFormAction

All Implemented Interfaces:
  IEditSchemaObjectAction, org.eclipse.jface.action.IAction, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class EditRoutineInFormAction

extends EditRoutineAction
implements IEditSchemaObjectAction

TODO check "link with editor"

Author:
  Hui Cao

Field Summary

Fields inherited from class org.eclipse.datatools.sqltools.routineeditor.ui.actions.EditRoutineAction
`ACTION_ID`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`EditRoutineInFormAction()`
`EditRoutineInFormAction(java.lang.Object selectedResource)`
`EditRoutineInFormAction(java.lang.Object selectedResource, java.lang.String editorId)`
`EditRoutineInFormAction(java.lang.Object selectedResource, java.lang.String editorId, java.lang.String defaultPageId)`

Method Summary
`int` `getActionId()`
`org.eclipse.jface.resource.ImageDescriptor` `getImageDescriptor()`
`org.eclipse.ui.IEditorPart` `openEditor()`
`void` `prepare()` Call after setSQLObject
`void` `run()`
`void` `run(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` `setActionId(int actionId)`
`void` `setDefaultPageId(java.lang.String defaultPageId)` Set the default page ID
`void` `setSQLObject(SQLObject object)` Set the object to be opened

Methods inherited from class org.eclipse.datatools.sqltools.routineeditor.ui.actions.EditRoutineAction
`run`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.actions.CommonSQLObjectAction
`getConnectionProfile, selectionChanged, setActivePart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`selectionChanged`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### EditRoutineInFormAction

    public EditRoutineInFormAction()

### EditRoutineInFormAction

    public EditRoutineInFormAction(java.lang.Object selectedResource)

### EditRoutineInFormAction

    public EditRoutineInFormAction(java.lang.Object selectedResource,
                                   java.lang.String editorId)

### EditRoutineInFormAction

    public EditRoutineInFormAction(java.lang.Object selectedResource,
                                   java.lang.String editorId,
                                   java.lang.String defaultPageId)

Method Detail

### setDefaultPageId

    public void setDefaultPageId(java.lang.String defaultPageId)

  Description copied from interface: `IEditSchemaObjectAction`
  Set the default page ID

  Specified by:
    `setDefaultPageId` in interface `IEditSchemaObjectAction`
  Parameters:
    `defaultPageId` - Default page Id

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `EditRoutineAction`

### run

    public void run(org.eclipse.core.runtime.IProgressMonitor monitor)

### prepare

    public void prepare()

  Call after setSQLObject

### openEditor

    public org.eclipse.ui.IEditorPart openEditor()

### setSQLObject

    public void setSQLObject(SQLObject object)

  Description copied from interface: `IEditSchemaObjectAction`
  Set the object to be opened

  Specified by:
    `setSQLObject` in interface `IEditSchemaObjectAction`
  Parameters:
    `object` - Object

### getImageDescriptor

    public org.eclipse.jface.resource.ImageDescriptor getImageDescriptor()

  Specified by:
    `getImageDescriptor` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `getImageDescriptor` in class `org.eclipse.jface.action.Action`

### getActionId

    public int getActionId()

### setActionId

    public void setActionId(int actionId)